create function st_intersects(geom geometry, rast raster, nband integer DEFAULT NULL::integer)
  returns boolean
immutable
parallel safe
cost 1000
language sql
as $$
SELECT $1 OPERATOR(public.&&) $2::geometry AND public._st_intersects($1, $2, $3);
$$;

comment on function st_intersects(geom geometry, rast raster, nband integer DEFAULT NULL :: integer)
is 'args: geommin, rast, nband=NULL - Return true if raster rastA spatially intersects raster rastB.';

