create function st_multipolyfromwkb(bytea, integer)
  returns geometry
immutable
strict
parallel safe
language sql
as $$
SELECT CASE WHEN public.geometrytype(public.ST_GeomFromWKB($1, $2)) = 'MULTIPOLYGON'
	THEN public.ST_GeomFromWKB($1, $2)
	ELSE NULL END

$$;

