create function st_rastertoworldcoordx(rast raster, xr integer, yr integer)
  returns double precision
immutable
strict
parallel safe
language sql
as $$
SELECT longitude FROM public._ST_rastertoworldcoord($1, $2, $3)
$$;

comment on function st_rastertoworldcoordx(rast raster, xr integer, yr integer)
is 'args: rast, xcolumn, yrow - Returns the geometric X coordinate upper left of a raster, column and row. Numbering of columns and rows starts at 1.';

