create function st_rastertoworldcoordy(rast raster, yr integer)
  returns double precision
immutable
strict
parallel safe
language sql
as $$
SELECT latitude FROM public._ST_rastertoworldcoord($1, NULL, $2)
$$;

comment on function st_rastertoworldcoordy(rast raster, yr integer)
is 'args: rast, yrow - Returns the geometric Y coordinate upper left corner of a raster, column and row. Numbering of columns and rows starts at 1.';

