create function st_rotatex(geometry, double precision)
  returns geometry
immutable
strict
parallel safe
language sql
as $$
SELECT public.ST_Affine($1, 1, 0, 0, 0, cos($2), -sin($2), 0, sin($2), cos($2), 0, 0, 0)
$$;

comment on function st_rotatex(geometry, double precision)
is 'args: geomA, rotRadians - Rotate a geometry rotRadians about the X axis.';

