create function st_scale(geometry, double precision, double precision)
  returns geometry
immutable
strict
parallel safe
language sql
as $$
SELECT public.ST_Scale($1, $2, $3, 1)
$$;

comment on function st_scale(geometry, double precision, double precision)
is 'args: geomA, XFactor, YFactor - Scale a geometry by given factors.';

