create function st_translate(geometry, double precision, double precision, double precision)
  returns geometry
immutable
strict
parallel safe
language sql
as $$
SELECT public.ST_Affine($1, 1, 0, 0, 0, 1, 0, 0, 0, 1, $2, $3, $4)
$$;

comment on function st_translate(geometry, double precision, double precision, double precision)
is 'args: g1, deltax, deltay, deltaz - Translate a geometry by given offsets.';

