create function st_worldtorastercoordx(rast raster, xw double precision)
  returns integer
immutable
strict
parallel safe
language sql
as $$
SELECT columnx FROM public._ST_worldtorastercoord($1, $2, NULL)
$$;

comment on function st_worldtorastercoordx(rast raster, xw double precision)
is 'args: rast, xw - Returns the column in the raster of the point geometry (pt) or a X and Y world coordinate (xw, yw) represented in world spatial reference system of raster.';

