create function lockrow(text, text, text, timestamp without time zone)
  returns integer
strict
language sql
as $$
SELECT LockRow(current_schema(), $1, $2, $3, $4);
$$;

comment on function lockrow(text, text, text, timestamp without time zone)
is 'args: a_table_name, a_row_key, an_auth_token, expire_dt - Set lock/authorization for specific row in table';

