create function st_askml(geog geography, maxdecimaldigits integer DEFAULT 15)
  returns text
immutable
strict
parallel safe
language sql
as $$
SELECT public._ST_AsKML(2, $1, $2, null)
$$;

comment on function st_askml(geog geography, maxdecimaldigits integer DEFAULT 15)
is 'args: geog, maxdecimaldigits=15 - Return the geometry as a KML element. Several variants. Default version=2, default precision=15';

