create function st_bandmetadata(rast raster, band integer DEFAULT 1, OUT pixeltype text, OUT nodatavalue double precision, OUT isoutdb boolean, OUT path text)
  returns record
immutable
strict
parallel safe
language sql
as $$
SELECT pixeltype, nodatavalue, isoutdb, path FROM public.ST_BandMetaData($1, ARRAY[$2]::int[]) LIMIT 1
$$;

comment on function st_bandmetadata(rast raster, band integer DEFAULT 1, OUT pixeltype text,
                                                                         OUT nodatavalue double precision,
                                                                         OUT isoutdb boolean, OUT path text)
is 'args: rast, bandnum=1 - Returns basic meta data for a specific raster band. band num 1 is assumed if none-specified.';

