create function st_dfullywithin(rast1 raster, rast2 raster, distance double precision)
  returns boolean
immutable
parallel safe
cost 1000
language sql
as $$
SELECT public.ST_DFullyWithin($1, NULL::integer, $2, NULL::integer, $3)
$$;

comment on function st_dfullywithin(rast1 raster, rast2 raster, distance double precision)
is 'args: rastA, rastB, distance_of_srid - Return true if rasters rastA and rastB are fully within the specified distance of each other.';

