create function st_geomcollfromtext(text)
  returns geometry
immutable
strict
parallel safe
language sql
as $$
SELECT CASE
	WHEN public.geometrytype(public.ST_GeomFromText($1)) = 'GEOMETRYCOLLECTION'
	THEN public.ST_GeomFromText($1)
	ELSE NULL END

$$;

comment on function st_geomcollfromtext(text)
is 'args: WKT - Makes a collection Geometry from collection WKT with the given SRID. If SRID is not given, it defaults to 0.';

