create function st_linefromwkb(bytea, integer)
  returns geometry
immutable
strict
parallel safe
language sql
as $$
SELECT CASE WHEN public.geometrytype(public.ST_GeomFromWKB($1, $2)) = 'LINESTRING'
	THEN public.ST_GeomFromWKB($1, $2)
	ELSE NULL END

$$;

comment on function st_linefromwkb(bytea, integer)
is 'args: WKB, srid - Makes a LINESTRING from WKB with the given SRID';

