create function st_polygonfromtext(text, integer)
  returns geometry
immutable
strict
parallel safe
language sql
as $$
SELECT public.ST_PolyFromText($1, $2)
$$;

comment on function st_polygonfromtext(text, integer)
is 'args: WKT, srid - Makes a Geometry from WKT with the given SRID. If SRID is not given, it defaults to 0.';

