create function st_setvalue(rast raster, x integer, y integer, newvalue double precision)
  returns raster
language sql
as $$
SELECT public.ST_SetValue($1, 1, $2, $3, $4)
$$;

comment on function st_setvalue(rast raster, x integer, y integer, newvalue double precision)
is 'args: rast, columnx, rowy, newvalue - Returns modified raster resulting from setting the value of a given band in a given columnx, rowy pixel or the pixels that intersect a particular geometry. Band numbers start at 1 and assumed to be 1 if not specified.';

