create function st_worldtorastercoordy(rast raster, yw double precision)
  returns integer
immutable
strict
parallel safe
language sql
as $$
SELECT rowy FROM public._ST_worldtorastercoord($1, NULL, $2)
$$;

comment on function st_worldtorastercoordy(rast raster, yw double precision)
is 'args: rast, xw - Returns the row in the raster of the point geometry (pt) or a X and Y world coordinate (xw, yw) represented in world spatial reference system of raster.';

