create function updategeometrysrid(character varying, character varying, character varying, integer)
  returns text
strict
language plpgsql
as $$
DECLARE
	ret  text;
BEGIN
	SELECT public.UpdateGeometrySRID('',$1,$2,$3,$4) into ret;
	RETURN ret;
END;
$$;

comment on function updategeometrysrid(character varying, character varying, character varying, integer)
is 'args: schema_name, table_name, column_name, srid - Updates the SRID of all features in a geometry column, geometry_columns metadata and srid. If it was enforced with constraints, the constraints will be updated with new srid constraint. If the old was enforced by type definition, the type definition will be changed.';

